--
-- KrampeBanditSB30
-- Specialization for KrampeBanditSB30
--
-- @author  	Nordline Agricole Team
-- @version 	v1.0
-- @date  		22/02/12
--

KrampeBanditSB30 = {};

function KrampeBanditSB30.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Trailer, specializations);
end;

function KrampeBanditSB30:load(xmlFile)

	self.rubberFloor = {};
	self.rubberFloor.node = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.rubberFloor#index"));
	self.rubberFloor.unloadingSpeed = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.rubberFloor#unloadingSpeed"), 0.001);
	self.rubberFloor.loadingSpeed = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.rubberFloor#loadingSpeed"), 0.0005);
	self.rubberFloor.speed = self.rubberFloor.loadingSpeed;
	self.rubberFloor.unloadingDirection = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.rubberFloor#unloadingDirection"), 1);
	setShaderParameter(self.rubberFloor.node, "movingDirection", 0,0,0,0,false);
	
	self.tip = false;	
end;

function KrampeBanditSB30:delete()
end;

function KrampeBanditSB30:readStream(streamId, connection)
end;

function KrampeBanditSB30:writeStream(streamId, connection)
end;

function KrampeBanditSB30:mouseEvent(posX, posY, isDown, isUp, button)
end;

function KrampeBanditSB30:keyEvent(unicode, sym, modifier, isDown)
end;

function KrampeBanditSB30:update(dt)
	if self.currentFillType ~= Fillable.FILLTYPE_UNKNOW and self.currentTipTrigger ~= nil and g_currentMission:getIsTrailerInTipRange(self, self.currentTipTrigger) then
		if InputBinding.hasEvent(InputBinding.EMPTY_GRAIN) then
			self.tip = not self.tip;
		end;
	end;

end;

function KrampeBanditSB30:updateTick(dt)
end;

function KrampeBanditSB30:draw()	
end;

function KrampeBanditSB30:onAttach(attacherVehicle)
end;

function KrampeBanditSB30:onDetach()
	KrampeBanditSB30.onDeactivate(self);
end;

function KrampeBanditSB30:onDeactivate()
	setShaderParameter(self.rubberFloor.node, "movingDirection", 0,0,0,0,false);
end;

function KrampeBanditSB30:onStartTip(currentTipTrigger, noEventSend)
	setShaderParameter(self.rubberFloor.node, "movingDirection", self.rubberFloor.unloadingDirection*self.rubberFloor.unloadingSpeed,0,0,0,false);
end;

function KrampeBanditSB30:onEndTip(noEventSend)
	setShaderParameter(self.rubberFloor.node, "movingDirection", 0,0,0,0,false);
end;
